import { ReactNode } from 'react';
import { DuckDBBundles, DuckDBConfig, Logger } from '@duckdb/duckdb-wasm';
export type DuckDBProps = {
    /** Optional DuckDB bundles. If undefined the JsDelivr CDN will be used */
    bundles?: DuckDBBundles;
    /** Optional logger. If undefined ConsoleLogger will be used. */
    logger?: Logger;
    /** Optional configuration. */
    config?: DuckDBConfig;
    /** Child elements will have access to the DuckDB context with useContext */
    children: ReactNode | ReactNode[];
};
/**
 * A context provider for DuckDB.
 *
 * @param props The provider properties
 * @returns A context provider for DuckDB
 */
export default function DuckDB({ bundles, logger, config, children }: DuckDBProps): import("react/jsx-runtime").JSX.Element;
